.boton_matriz {
    height: 50px;
    width: 50px;
}

.otra_mitad {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
}

.container {
    display: flex;
    width: 85%;
    flex-wrap: wrap;
}

.container2 {
    width: 100%;
}

.div1 {
    /*AQUI ESTA LA PABALBRA EN HORIZONTAL*/
    width: 45%;
    height: 30px;
    text-align: center;
}

.div2 {
    /*AQUI ESTA LA PABALBRA EN VERTICAL*/
    writing-mode: vertical-lr;
    /*AQUI ESTA LAS LETRAS ESTAN VERTICAL*/
    text-orientation: upright;
    width: 5%;
    text-align: center;
}

.div3 {
    /*AQUI ESTA LA MATRIZ/TABLA*/
    width: 35%;
    flex-direction: row;
}

.div4 {
    /*AQUI ESTA LOS INPUTS DE CIFRADO Y DECIFRADO*/
    width: 50%;
    text-align: center;
    justify-content: center;
    /* Centra horizontalmente */
    align-items: center;
    /* Centra verticalmente */
    flex-direction: column;
    display: flex;
}

#el_input {
    width: 45%;
    display: flex;
    flex-wrap: wrap;
}

.transparente {
    background-color: rgba(255, 255, 255, 0.4);
    /* Gris con 40% de opacidad */
}

.imagen-fondo {
    background-image: url("https://i.pinimg.com/originals/bf/b9/4e/bfb94e54c45afd24384db5ad32d71d15.gif");
    background-repeat: no-repeat;
    background-size: cover;
}

/*
.text_1{
    width: 100%;
    height: 100%;
    

}
.texto_2{
    writing-mode: vertical-lr;  Cambia la dirección del texto para que sea de arriba hacia abajo 
    text-orientation: upright;
   
    height: 26%;
}
    
.matriz_mover{
    width: 30%;
    height: 26%;
   
}

.input_mover{
    width: 20%;
    height: 50%;
    
}
    

.parte_inferior{

display: flex;
flex-wrap: wrap-reverse;
}
*/

/*
#boton00,
#boton01,
#boton02,
#boton03,
#boton04,
#boton05,
#boton10,
#boton20,
#boton30,
#boton40,
#boton50 {
    background-color: rgb(0, 128, 0);
    border-color: rgb(234, 238, 241);
}
    */